﻿
html,
body,
#viewDiv {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    display: flex;
}

#rightPanel {
    max-height: 98%;
    z-index: 1;
}

calcite-loader {
    align-self: center;
    justify-self: center;
}

#rightPanel {
    --calcite-shell-panel-min-width: 312px;
    --calcite-shell-panel-width: 460px;
    --calcite-shell-panel-max-width: 95%;
}

@media (max-width: 361px) {
    #rightPanel {
        --calcite-shell-panel-min-width: 76vw;
        --calcite-shell-panel-width: 312px;
    }
}

@media (max-width: 431px) {
    #rightPanel {
        --calcite-shell-panel-min-width: 76vw;
        --calcite-shell-panel-width: 300px;
    }
}

calcite-dialog.dialog1 {
    --calcite-dialog-size-x: 40%;
    z-index: 100;
}
.heading {
    font-weight: bold !important;
}

/*
.canvas {
    margin: 0 auto 1rem;
}*/

calcite-input-number {
    --calcite-input-number-width: 300px;
}

calcite-block-group {
    --calcite-color-foreground-1: #ffffff;
    --calcite-color-background: #f8f8f8;
}


.flex {
    display: block;
    margin: 1rem;
}

.italic-darkblue-font {
    /*font-style: italic;*/
    color: darkblue;
}

.bold-font {
    font-weight: bold;
}

.blue-background {
    background-color: #efefef;
}

.custom-alert {
    position: relative;
    top: 50px; /* Adjust as needed */
    left: 50px;
    --calcite-alert-width: 360px;
}
#coordsDiv {
    position: absolute;
    bottom: 30px;
    left: 10px;
    padding: 5px;
    background: rgba(255, 255, 255, 0.8);
}

#LayersInfoDiv {
    height: 350px;
    padding: 10px;
    width: 320px;
    border: 1px solid #444;
    min-width: 200px;
    z-index: 200;
}

img[slot="header-actions-end"] {
    height: 1.5rem;
    align-self: center;
    margin-inline: 1rem;
}

img[slot="content-start"] {
    height: 1.5rem;
    align-self: center;
    margin-inline: 1rem;
}

.esri-widget {
    
    background-color: #ffffff00 !important;
}


